Skip to content

Payment Request

This endpoint initiates and processes transactions.

php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://brijxbankuat.brij.money//api/v2/brijxthirdparty/payment-request",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => "{\n  \"request_type\": null,\n  \"merchant_transaction_id\": \"BRJXMTN015\",\n  \"sender_account_id\": \"233245000001\",\n  \"receiver_account_id\": \"4245000017\",\n  \"source_country\": \"GH\",\n  \"destination_country\": \"NG\",\n  \"amount\": 1.0,\n  \"narration\": \"testing api remark\",\n  \"rail_id\": \"a9b01852-00fc-48f3-b0b3-354f02766e85\"\n}",
  CURLOPT_HTTPHEADER => [
    "Accept: application/json",
    "Authorization: Bearer 5|8VrxatlcuUGMHGnYRPMoR2ggo6frAa5BujQ51unC",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
js
const request = require('request');

const options = {
  method: 'POST',
  url: 'https://brijxbankuat.brij.money//api/v2/brijxthirdparty/payment-request',
  headers: {
    Accept: 'application/json',
    'Content-Type': 'application/json',
    Authorization: 'Bearer 5|8VrxatlcuUGMHGnYRPMoR2ggo6frAa5BujQ51unC'
  },
  body: {
    request_type: null,
    merchant_transaction_id: 'BRJXMTN015',
    sender_account_id: '233245000001',
    receiver_account_id: '4245000017',
    source_country: 'GH',
    destination_country: 'NG',
    amount: 1,
    narration: 'testing api remark',
    rail_id: 'a9b01852-00fc-48f3-b0b3-354f02766e85'
  },
  json: true
};

request(options, function (error, response, body) {
  if (error) throw new Error(error);

  console.log(body);
});
bash
curl --location 'https://brijxbankuat.brij.money/api/v2/brijxthirdparty/payment-request' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer your-bearer-token-goes-here' \
--data '{
  "request_type": null,
  "merchant_transaction_id": "BRJXGMSP004",
  "sender_account_id": "233245000001",
  "receiver_account_id": "2450000170",
  "source_country": "GH",
  "destination_country": "NG",
  "amount": 1.0,
  "rail_id": "32b08581-c85b-447b-929d-1591a0ff158f"
  "narration": "testing api remark"
}'
Response